¿Cómo instalar / actualizar svn en SLE?

Mi SUSE (SUSE Linux Enterprise Server 11 (x86_64)) se instaló en svn viejo. Quiero actualizarlo pero si descargo el package para Paquetes para SLE 11 y trato de instalarlo a via zypper install subversion-1.7.5-83.1.x86_64.rpm obtengo

 Problem: nothing provides libserf-1.so.0 needed by subversion-1.7.5-83.1.i586 Solution 1: do not ask to install a solvable providing subversion = 0:1.7.5-83.1 Solution 2: break subversion by ignoring some of its dependencies 

¿Está bien elegir 1 o 2 o cancelar el process de installation y hacerlo de otra manera?

Siga las instrucciones en http://software.opensuse.org/download.html?project=devel:tools:scm:svn&package=subversion para instalar la última subversión.

 zypper addrepo http://download.opensuse.org/repositories/devel:tools:scm:svn/SLE_11/devel:tools:scm:svn.repo zypper refresh zypper install subversion 

Probablemente descubrirá que va a necesitar sheriff y posiblemente neón instalado.

libserf o libneon (OPCIONAL para el cliente)

  The Serf and Neon libraries both allow the Subversion client to send HTTP requests. This is necessary if you want your client to access a repository served by the Apache HTTP server. There is an alternate 'svnserve' server as well, though, and clients automatically know how to speak the svnserve protocol. Thus it's not strictly necessary for your client to be able to speak HTTP... though we still recommend that your client be built to speak both HTTP and svnserve protocols. Your client can be compiled against either libserf or libneon (or both), as they offer competing implementations. 

No creo que existan binarys para que SLES instale estas bibliotecas, por lo que deberá download y comstackr sierras (y / o neón) de la fuente.

Después de eso, asegúrese de ejecutar ldconfig antes de ldconfig intentar la installation de SVN, para que se vean las bibliotecas de serf recién instaladas.